package main

import (
	"fmt"
	"github.com/gin-gonic/gin"
	"onvif-agent/router"
)

func main() {
	r := gin.Default()

	router.SetupRoutes(r)

	if err := r.Run(":8080"); err != nil {
		fmt.Println("Failed to start server:", err)
	}
}
